Skip to main content
GET
/
portfolios
/
{portfolioId}
/
snapshots
/
{snapshotId}
/
positions
cURL
curl --request GET \
  --url https://lighthouse.one/v1/api/portfolios/{portfolioId}/snapshots/{snapshotId}/positions \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "01JZYKJR05YBC7WHRYNKTVCP07-1",
      "network": "Ethereum",
      "platform": "Resolv",
      "account": "My Account 1",
      "address": "0x2be4b1f8787ae0aab54d15aa20bb90909160967a",
      "type": "Staked",
      "assetSymbol": "RESOLV",
      "assetName": "Resolv",
      "assetContext": "supply",
      "amount": 2475.8914,
      "price": 0.1752,
      "usdValue": 433.77617327999997,
      "description": null
    },
    {
      "id": "01JZYKJR05VY46XPH5CKBPVAPX-1",
      "network": "Ethereum",
      "platform": "Symbiotic",
      "account": "My Account 1",
      "address": "0x2be4b1f8787ae0aab54d15aa20bb90909160967a",
      "type": "Staked",
      "assetSymbol": "HYPER",
      "assetName": "Hyperlane",
      "assetContext": "supply",
      "amount": 721.87,
      "price": 0.4987,
      "usdValue": 359.99656899999997,
      "description": "stHYPER"
    },
    {
      "id": "01JZYKJR064Y5TQC07BG5YDG6R-1",
      "network": "Gnosis Chain",
      "platform": "Gnosis Beacon Chain",
      "account": "My Account 2",
      "address": "0x3eb9845b9c8f835ad130456f8dab6aef79af5272",
      "type": "Staked",
      "assetSymbol": "GNO",
      "assetName": "Gnosis Token",
      "assetContext": "supply",
      "amount": 10.00226213275,
      "price": 126.93,
      "usdValue": 1269.5871325099574,
      "description": null
    },
    {
      "id": "01JZYKJR06J0SAMZWT7YP9VMNY-1",
      "network": "Ethereum",
      "platform": "Yearn V3",
      "account": "Rocket Account",
      "address": "0x2be4b1f8787ae0aab54d15aa20bb90909160967a",
      "type": "Yield",
      "assetSymbol": "SWELL",
      "assetName": "Swell Governance Token",
      "assetContext": "supply",
      "amount": 9221.807907689552,
      "price": 0.009858,
      "usdValue": 90.90858235400361,
      "description": "rSWELL"
    },
    {
      "id": "01JZYKJR06MANUAL00001-1",
      "network": "Manual",
      "platform": "Manual",
      "account": "My Account 1",
      "type": "Manual",
      "assetSymbol": "BTC",
      "assetName": "Bitcoin",
      "amount": 1.5,
      "price": 97000,
      "usdValue": 145500,
      "description": null,
      "comments": [
        {
          "author": "Warren Nakamoto",
          "timestamp": "2026-02-05T11:55:37.383+00:00",
          "content": "Consolidated BTC balance from custodians"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

portfolioId
string
required

A unique identifier for the portfolio used to load snapshots. The portfolioId can be obtained from the Lighthouse API keys settings.

snapshotId
string
required

The ID of the specific snapshot to load; use latest to load the positions from the latest available snapshot

Query Parameters

includeComments
boolean
default:false

When set to true, each position in the response will include a comments array (if any comments exist for that position). Only positions of type Manual support comments.

Response

200 - application/json

Positions response

data
object[]